prototipo/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::resource('products', 'productSController');
Route::resource('sales', 'SaleController');
Route::resource('clients', 'ClientController');
Route::resource('empleados', 'EmpleadoController'); 
Auth::routes();


Route::get('/productV', 'ProductSController@productV')->name('productV');
Route::get('/topp', 'ToppController@index')->name('topp');
Route::get('/topc', 'TopcController@index')->name('topc');
Route::get('/topc', 'TopcController@cli')->name('mosc');
Route::get('/fecha', 'FechaController@index')->name('fecha');
Route::get('/fecha', 'FechaController@buscar')->name('buscar'); 
Route::get('/empleado', 'EmpleadoController@index')->name('empleado');
Route::get('/prueba', 'FacturaController@index')->name('prueba');
Route::get('/factura', 'SaleController@imprimir')->name('factura');
Route::get('/venta', 'SaleController@precio')->name('precio');
Route::get('/client', 'ClientController@create')->name('client');
Route::get('/menu', 'MenuController@index')->name('menu');
Route::get('/create', 'ProductSController@create')->name('create'); 
Route::get('/venta', 'SaleController@create')->name('venta');
Route::get('/venta', 'SaleController@cliente')->name('cliente');
Route::get('/topp', 'ToppController@mostrar')->name('mostrar');  
Route::get('/edit','ProductSController@edit')->name('edit');
Route::get('/productS', 'ProductSController@productS')->name('productS');
Route::get('/home', 'HomeController@index')->name('home');

prototipo/resources/views/client.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
    .top-right {
    position: absolute;
    right: 70px;
    top: 20px;
  }   
</style>
<body>
        <div>
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ url('/menu') }}">Regresar</a>
                    @endauth
                </div>
            @endif
        </div>    
</body>
@if(session()->get('success'))
    <div class="alert alert-success">
      {{ session()->get('success') }}  
    </div><br />
  @endif
<div class="card uper">
  <div class="card-header">
    Registro de clientes
  </div>
  <div class="card-body">
    @if ($errors->any())
      <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
        </ul>
      </div><br />
    @endif
      <form method="post" action="{{ route('clients.store') }}">          
        @csrf            
          <div class="form-group">
              <label for="price">Nombre:</label>
              <input type="text" class="form-control" name="nombre"/>
          </div>
          <div class="form-group">
              <label for="price">Apellido:</label>
              <input type="text" class="form-control" name="apellido"/>
          </div>
          <div class="form-group">
              <label for="quantity">Dirección:</label>
              <input type="text" class="form-control" name="direccion"/>
          </div>
          <div class="form-group">
              <label for="quantity">Ciudad/departamento:</label>
              <input type="text" class="form-control" name="ciudad/departamento"/>
          </div>
          <button type="submit" class="btn btn-primary">Registrar cliente</button>
      </form>
  </div>
</div>
@endsection

prototipo/resources/views/create.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
    .top-right {
    position: absolute;
    right: 70px;
    top: 20px;
  }   
</style>
<body>
        <div>
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ url('/productS') }}">Regresar</a>
                    @endauth
                </div>
            @endif
        </div>    
</body>
<div class="card uper">
  <div class="card-header">
    Registro de productos
  </div>
  <div class="card-body">
    @if ($errors->any())
      <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
        </ul>
      </div><br />
    @endif
      <form method="post" action="{{ route('products.store') }}">
              @csrf
          <div class="form-group">
              <label for="price">Nombre:</label>
              <input type="text" class="form-control" name="nombre"/>
          </div>
          <div class="form-group">
              <label for="price">precio venta:</label>
              <input type="text" class="form-control" name="precio_venta"/>
          </div>
          <div class="form-group">
              <label for="quantity">precio costo:</label>
              <input type="text" class="form-control" name="precio_costo"/>
          </div>
          <div class="form-group">
              <label for="quantity">existencias:</label>
              <input type="text" class="form-control" name="existencias"/>
          </div>
          <button type="submit" class="btn btn-primary">Registrar producto</button>
      </form>
  </div>
</div>
@endsection

prototipo/resources/views/edit.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
    .top-right {
    position: absolute;
    right: 70px;
    top: 50px;
  }  
</style>
<body>
        <div>
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="http://127.0.0.1:8000/productS">Regresar</a>
                    @endauth
                </div>
            @endif
        </div>    
</body>
<div class="card uper">
  <div class="card-header">
    Actualizar producto
  </div>
  <div class="card-body">
    @if ($errors->any())
      <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
        </ul>
      </div><br />
    @endif
    <form method="post" action="{{ route('products.update', $show->id) }}">
          <div class="form-group">
              @csrf
              @method('PATCH')
              <label for="name">id:</label>
              <input disabled type="text" class="form-control" name="id" value="{{ $show->id}}"/>
          </div>
          <div class="form-group">
              <label for="price">nombre:</label>
              <input type="text" class="form-control" name="nombre" value="{{ $show->nombre }}"/>
          </div>
          <div class="form-group">
              <label for="price">precio venta:</label>
              <input type="text" class="form-control" name="precio_venta" value="{{ $show->precio_venta}}"/>
          </div>
          <div class="form-group">
              <label for="quantity">precio costo:</label>
              <input type="text" class="form-control" name="precio_costo" value="{{ $show->precio_costo}}"/>
          </div>
          <div class="form-group">
              <label for="quantity">existencias:</label>
              <input type="text" class="form-control" name="existencias" value="{{ $show->existencias}}"/>
          </div>
          <button type="submit" class="btn btn-primary">Actualizar producto</button>
      </form>
  </div>
</div>
@endsection

prototipo/resources/views/empleado.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .position-ref {
    position: relative;
  }

  .top-right {
    position: absolute;
    right: 50px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
@if(session()->get('delete'))
    <div class="alert alert-success" role="alert">
      {{session('delete')}}
    </div><br />
@endif  
<h1 class= "flex-center">Empleados</h1>
<body>
  <div>          
    <div class="links top-right">   
    <a href="{{ url('/menu') }}">Regresar</a>   <br>  <br>  <br>  <br>              
      <a href="http://127.0.0.1:8000/register">Registrar empleado</a>                   
    </div>           
  </div>    
</body>
<div class="uper">
  @if(session()->get('success'))
    <div class="alert alert-success">
      {{ session()->get('success') }}  
    </div><br />
  @endif
  
  <table class="table table-striped">
    <thead>
        <tr>
          <td>usuario</td>
          <td>rol</td>
          <td colspan="1">eliminar empleado</td>
        </tr>
    </thead>
    <tbody>
        @foreach($shows as $show)
        <tr>
            <td>{{$show->usuario}}</td>
            <td>{{$show->rol}}</td>
            <td>
                <form action="{{ route('empleados.destroy', $show->usuario)}}" method="post">
                  @csrf
                  @method('DELETE')
                  <button class="btn btn-danger" type="submit">Eliminar</button>
                </form>
            </td>
        </tr>
        @endforeach
    </tbody>
  </table>
</div>
@endsection

prototipo/resources/views/factura.blade.php
@php
    use \App\Http\Controllers\FacturaController as fact;
@endphp
<!DOCTYPE html>
<html lang="es">
<head>
    <link rel="stylesheet" href="./bs3.min.css">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Factura</title>
</head>
<style>
.top-right {
    position: absolute;
    left: 300px;
    top: 5px;
    font-size: 15px;
  } 
  .top-r {
    position: absolute;
    left: 500px;
    top: 5px;
    font-size: 15px;
  } 
  .letra {
    font-size: 17px;
    color: purple;
    border-collapse: separate;
    border-spacing: 40px 0px;
  }
  .letra1 {
    font-size: 15px;
    color: black;
  }
  .letra2 {
    font-size: 17px;
    color: purple;
    border-collapse: separate;
    border-spacing: 80px 0px;
  }
  

</style>
<div><img class="title m-b-md" src="https://i.ibb.co/zJFMGQ0/acme.png" width="200">
<h1 class="top-right">ACME Corporation<br>Nit 7956256625</h1>
<h2 class="top-r">Carrera 5 #9-41<br>Tuluá-Valle del cauca<br>Colombia</h2><br><br><br><br>
</div>

<div>
<table class="table table-striped letra">
    <thead>
        <tr>
          <td>Facturar a<br><br><font color="black">{{fact::factura('nombre_cliente')}}</font></td>
          <td>Fecha de facturación<br><br><font color="black">{{fact::factura('created_at')}}</font></td>
          <td>Fecha de vencimiento<br><br><font color="black">{{fact::factura('fecha_vencimiento')}}</font></td>
          <td>Número de factura<br><br><font color="black">{{fact::factura('no_factura')}}</font></td>
          <td>total<br><br><font color="black">{{fact::factura('total')}}</font></td>
        </tr>
    </thead>
</table>  
</div>
<hr width="500" >
<div class="row">
    <div class="col-xs-12">
        <table class="table table-condensed table-bordered table-striped letra2">
            <thead>
            <tr>
                <th>Precio unitario/Producto</th>
                <th>Cantidad</th>
                <th>Total</th>
            </tr>
            </thead>
            <tbody>
                <tr class="letra1">
                    <td><br><br>{{fact::factura('producto')}}</td>
                    <td><br><br>{{fact::factura('cantidad')}}</td>
                    <td><br><br>{{fact::factura('total')-fact::factura('impuesto')}}</td>
                </tr>
            </tbody>
            <tfoot>
            <tr>
                <td colspan="2" class="text-right"><br><br><br>Subtotal</td>
                <td class="letra1"><br><br><br><br><br>{{fact::factura('total')-fact::factura('impuesto')}}</td>
            </tr>
            <tr>
                <td colspan="2" class="text-right">Impuestos</td>
                <td class="letra1">{{fact::factura('impuesto')}}</td>
            </tr>
            <tr>
                <td colspan="2" class="text-right">
                    <h4>Total</h4></td>
                    <td class="letra1">{{fact::factura('total')}}</td>
                <td>
                   
                </td>
            </tr>
            </tfoot>
        </table>
    </div>
</div>

prototipo/resources/views/fecha.blade.php
@extends('layouts.app')

@section('content')
<style>
    .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }
  .uper {
    margin-top: 40px;
  }
  .top-r {
    position: absolute;
    left: 40px;
    top: 240px;
    font-size: 20px;
  } 
  .top-right {
    position: absolute;
    right: 50px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
<body>
    <div>          
        <div class="links top-right">   
            <a href="{{ url('/menu') }}">Regresar</a>                            
        </div>           
    </div>
</body>
<div class="card uper">
    <div class="card-header">
        <h1 class= "flex-center">Busqueda de productos por fechas</h1>   
    </div>
</div>
<div class="top-r">
    <form method="get" action="{{route('buscar')}}" >
    <label for="desde">Buscar productos desde:</label>
    <input type="date" name="desde" id="desde">
    <label for="hasta">Hasta:</label>
    <input type="date" name="hasta" id="hasta">
    <button type="submit" class="btn btn-primary">Buscar</button>
    </form>
    <div>
    <table class="table table-striped">
        <thead>
            <tr>
            <td>Nombre del cliente</td>
            <td>Precio/Producto</td>
            <td>Cantidad</td>
            <td>Fecha de vencimiento</td>
            <td>Impuesto</td>
            <td>Total</td>
            <td>Fecha de venta</td>
        </tr>
        </thead>
    <tbody>
        @if(count($dates)<=0)
            <tr>
                <td colspan="7">No hay resultados</td>
            </tr>
        @else    
        @foreach($dates as $date)
        <tr>
            <td>{{$date->nombre_cliente}}</td>
            <td>{{$date->producto}}</td>
            <td>{{$date->cantidad}}</td>
            <td>{{$date->fecha_vencimiento}}</td>
            <td>{{$date->impuesto}}</td>
            <td>{{$date->total}}</td>
            <td>{{$date->created_at}}</td>
        </tr>
        @endforeach
        @endif
    </tbody>
  </table>
    </div>
</div>

@endsection

prototipo/resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Herramienta contable</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

prototipo/resources/views/menu.blade.php
@extends('layouts.app')

@section('content')
<style>
    .content {
                text-align: center;
            }
    .margin{
    margin: 20px !important;
    }
    .margin-left{
    margin-left: 270px !important;
    }
    .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
    }
</style>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header content">Herramienta contable</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                <a class="btn btn-primary flex-center" href="http://127.0.0.1:8000/productS">Menú de productos</a> <br>
                <a class="btn btn-primary flex-center" href="http://127.0.0.1:8000/venta">Registrar venta</a> <br>
                <a class="btn btn-primary flex-center" href="http://127.0.0.1:8000/client">Registrar cliente</a> <br>

                @if (Auth::user()->rol == 'Jefe')
                    <a class="btn btn-primary flex-center" href="http://127.0.0.1:8000/empleados">Lista de empleados</a> <br>
                    <a class="btn btn-primary flex-center"  href="http://127.0.0.1:8000/topp">Top 10 productos más vendidos</a> <br>
                    <a class="btn btn-primary flex-center"  href="http://127.0.0.1:8000/fecha">Productos vendidos entre fechas</a> <br>
                    <a class="btn btn-primary flex-center"  href="http://127.0.0.1:8000/topc">Top 10 mejores clientes</a> <br>
                @endif
                                     
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

prototipo/resources/views/productS.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .position-ref {
    position: relative;
  }

  .top-right {
    position: absolute;
    right: 70px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
<h1 class= "flex-center">Productos registrados</h1>
<div class="uper">
  @if(session()->get('success'))
    <div class="alert alert-success">
      {{ session()->get('success') }}  
    </div><br />
  @endif
  @if(session()->get('delete'))
    <div class="alert alert-success">
      {{ session()->get('delete') }}  
    </div><br />
  @endif
  @if(session()->get('update'))
    <div class="alert alert-success">
      {{ session()->get('update') }}  
    </div><br />
  @endif
  <body>
        <div>
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ url('/menu') }}">Regresar</a><br><br><br>
                        <a href="{{ url('/create') }}">Registrar productos</a>
                    @endauth
                </div>
            @endif
        </div>    
  </body>
  <table class="table table-striped">
    <thead>
        <tr>
          <td>id</td>
          <td>nombre</td>
          <td>precio venta</td>
          <td>precio costo</td>
          <td>existencias</td>   
          <td colspan="1">Editar</td>
          @if (Auth::user()->rol == 'Jefe')
              <td colspan="1">Eliminar</td>
          @endif
        </tr>
    </thead>
    <tbody>
        @foreach($shows as $show)
        <tr>
            <td>{{$show->id}}</td>
            <td>{{$show->nombre}}</td>
            <td>{{$show->precio_venta}}</td>
            <td>{{$show->precio_costo}}</td>
            <td>{{$show->existencias}}</td>
            <td><a href="{{ route('products.edit', $show->id)}}" class="btn btn-primary">Editar</a></td>
            @if (Auth::user()->rol == 'Jefe')
              <td>
                <form action="{{ route('products.destroy', $show->id)}}" method="post">
                    @csrf
                    @method('DELETE')
                    <button class="btn btn-danger" type="submit">Eliminar</button>
                </form>
              </td>
            @endif
        </tr>
        @endforeach
    </tbody>
  </table>
</div>
@endsection

prototipo/resources/views/productV.blade.php
@extends('layouts.app')

@section('content')
<style>
  .uper {
    margin-top: 40px;
  }
  
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .position-ref {
    position: relative;
  }

  .top-right {
    position: absolute;
    right: 70px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
<h1 class= "flex-center">Productos registrados</h1>
<div class="uper">
  @if(session()->get('success'))
    <div class="alert alert-success">
      {{ session()->get('success') }}  
    </div><br />
  @endif
  @if(session()->get('delete'))
    <div class="alert alert-success">
      {{ session()->get('delete') }}  
    </div><br />
  @endif
  @if(session()->get('update'))
    <div class="alert alert-success">
      {{ session()->get('update') }}  
    </div><br />
  @endif

  <table class="table table-striped">
    <thead>
        <tr>
          <td>id</td> 
        </tr>
    </thead>
    <tbody>
        @foreach($shows as $show)
        <tr>
            <td>{{$show->id}}</td>
            <td>{{$show->nombre}}</td>
            <td>{{$show->precio_venta}}</td>
            <td>{{$show->precio_costo}}</td>
            <td>{{$show->existencias}}</td>                     
        </tr>
        @endforeach
    </tbody>
  </table>
</div>
@endsection

prototipo/resources/views/topc.blade.php
@extends('layouts.app')

@section('content')
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Top productos</title>
</head>
<style>
  .uper {
    margin-top: 40px;
  }
  
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .position-ref {
    position: relative;
  }

  .top-right {
    position: absolute;
    right: 50px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
<body>
<div>          
    <div class="links top-right">   
    <a href="{{ url('/menu') }}">Regresar</a>                            
    </div>           
  </div>   
</body>
<div>
    <div class="card uper">
        <div class="card-header">
            <h1 class= "flex-center">Top 10 de mejores clientes</h1>   
        </div>
    </div>
    <div>
    <table class="table table-striped">
        <thead>
            <tr>
            <td>Nombre del cliente</td>
            <td>cantidad de dinero gastado</td>
            <td>Cantidad de productos comprados</td>
        </tr>
        </thead>
    <tbody>
        @if(count($cliente)<=0)
            <tr>
                <td colspan="7">No hay resultados</td>
            </tr>
        @else    
        @foreach($cliente as $c)
        <tr>
            <td>{{$c->nombre_cliente}}</td>
            <td>{{$c->total}}</td>
            <td>{{$c->cantidad}}</td>
            
        </tr>
        @endforeach
        @endif
        
    </tbody>
  </table>
    </div>
</div>
</html>
@endsection

prototipo/resources/views/topp.blade.php
@extends('layouts.app')

@section('content')
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Top productos</title>
</head>
<style>
  .uper {
    margin-top: 40px;
  }
  
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .position-ref {
    position: relative;
  }

  .top-right {
    position: absolute;
    right: 50px;
    top: 20px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
</style>
<body>
<div>          
    <div class="links top-right">   
    <a href="{{ url('/menu') }}">Regresar</a>                            
    </div>           
  </div>   
</body>
<div>
    <div class="card uper">
        <div class="card-header">
            <h1 class= "flex-center">Top 10 de productos más vendidos</h1>   
        </div>
    </div>
    <div>
    <table class="table table-striped">
        <thead>
            <tr>
            <td>Nombre del producto</td>
            <td>total en dinero vendido</td>
            <td>Cantidad vendida</td>
        </tr>
        </thead>
    <tbody>
      @if(count($mostrar)<=0)
            <tr>
                <td colspan="7">No hay resultados</td>
            </tr>
        @else    
        @foreach($mostrar as $m)
        <tr>
            <td>{{$m->producto}}</td>
            <td>{{$m->total}}</td>
            <td>{{$m->cantidad}}</td>
            
        </tr>
        @endforeach
        @endif
        
    </tbody>
  </table>
    </div>
</div>
</html>
@endsection

prototipo/resources/views/venta.blade.php
@extends('layouts.app')
@php
    use \App\Http\Controllers\SaleController as imp;
@endphp
@section('content')

<style>
  .uper {
    margin-top: 40px;
  }
  .links > a {
    color: #636b6f;
    padding: 0 25px;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: .1rem;
    text-decoration: none;
    text-transform: uppercase;
    }
    .top-right {
    position: absolute;
    right: 70px;
    top: 20px;
  }   
  .flex-center {
    align-items: center;
    display: flex;
    justify-content: center;
  }
</style>
<div class="uper">
  @if(session()->get('success'))
    <div class="alert alert-success">
      {{ session()->get('success') }}  
    </div><br />
  @endif
<body>
    <div>
      @if (Route::has('login'))
          <div class="top-right links">
            @auth 
              <a href="{{ url('/menu') }}">Regresar</a>
            @endauth
          </div>
      @endif
    </div>    
</body>
<div class="card uper">
  <div class="card-header">
    Registro de ventas
  </div>
  <div class="card-body">
    @if ($errors->any())
      <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
              <li>{{ $error }}</li>
            @endforeach
        </ul>
      </div><br />
    @endif
      
      <form name="v" method="post" action="{{route('sales.store')}}">
          @csrf
          <div class="form-group">
              <label for="nombre">Nombre de cliente:</label>
              <select class="form-control selectpicker" name="nombre_cliente" id="nombre_cliente" data-live-search="true" >
                @foreach($clientes as $cliente)
                  <option>{{$cliente->nombre}}</option>
                @endforeach
              </select>
          </div>
          <div class="form-group">
              <label for="fecha">fecha_vencimiento:</label>
              <input  readonly class="form-control" name="fecha_vencimiento" value="<?php $fecha_actual = date("d-m-Y"); echo date("d-m-Y",strtotime($fecha_actual."+ 30 days"));?>"/>
          </div>
          <div class="form-group">
              <label>producto:</label>
              <select class="form-control selectpicker"  name="producto" id="producto" data-live-search="true">
                @foreach($productos as $producto)
                  <option value="{{$producto->precio_venta}}|{{$producto->nombre}}">{{$producto->nombre}}</option>
                @endforeach
              </select>
          </div>
          <div class="form-group">
              <label for="cantidad">cantidad:</label>
              <input id="cantidad" type="text" class="form-control" name="cantidad"/>
          </div>
          <button id="agregar" type="button" class="btn btn-primary" value="add" onclick="obtenerDatos()">Agregar producto a factura</button>
          <div class="form-group flex-center">
          <h1>Factura de venta</h1>
          </div>    
          <table class="table table-striped" name="factura" id="factura">
          <thead>
          <tr>
            <td>Producto</td>
            <td>Cantidad</td>
            <td>Subtotal</td>
          </tr>
          </thead>
          </table>
          <div>
          <label >Impuesto:</label>
          <input  readonly id="imp" name="impuesto" value="0"><br>
          <label >Subtotal neto:</label>
          <input readonly id="subtotal" name="subtotal" value="0"><br>
          <label >Total:</label>
          <input readonly id="total" name="total" value="0">
          </div>
          <button type="submit" class="btn btn-primary" id="fact">Registrar venta</button>
      </form>
    <tbody>
  </div>
  <a class="btn btn-primary" href="{{route('factura')}}">Generar factura</a>
  
</div>

<script type="text/javascript">
  function obtenerDatos(){
    let valores = document.getElementById('producto').value.split("|")
    let producto = valores[1]
    let cantidad = parseInt(document.getElementById('cantidad').value)
    let subtotal = parseInt(document.getElementById('cantidad').value)*parseInt(valores[0])
    let fila = "<tr><td>"+producto+"</td><td>"+cantidad+"</td><td>"+subtotal+"</td></tr>"
    let btn = document.createElement("TR")
    btn.innerHTML = fila;
    document.getElementById("factura").appendChild(btn);
    let total = parseInt(document.getElementById("subtotal").value)+subtotal
    document.getElementById("subtotal").value = total;
    let impuesto = total*0.19
    document.getElementById("imp").value = impuesto;
    document.getElementById("total").value = impuesto+total;
  }

</script>

@endsection